/*
 * Copyright (c) 2014, Yahoo Inc. All rights reserved.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */

"use strict";

exports.assign = Object.assign || require("object.assign");
exports.passError = passError;
exports.passValue = passValue;

// -----------------------------------------------------------------------------

function passError (callback) {
	return function (reason) {
		setImmediate(function () {
			callback(reason);
		});
	};
}

function passValue (callback) {
	return function (value) {
		setImmediate(function () {
			callback(null, value);
		});
	};
}
